## cb2bib 1.4.4

=== src/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#  cb2bib cmake build script
#  - build cb2bib
#-------------------------------------------------------------------------------

list_source_files(CB2BIB_CPP CB2BIB_H CB2BIB_MOCH)

if(C2B_USE_WEBKIT)
  find_package(Qt4 ${CB2BIB_MINIMUM_REQUIRED_QT} COMPONENTS QtCore QtNetwork QtGui QtWebKit REQUIRED)
  add_definitions(-DC2B_USE_WEBKIT)
else()
  find_package(Qt4 ${CB2BIB_MINIMUM_REQUIRED_QT} COMPONENTS QtCore QtNetwork QtGui REQUIRED)
  list(REMOVE_ITEM CB2BIB_CPP c2bAnnote.cpp)
  list(REMOVE_ITEM CB2BIB_CPP c2bWebBrowser.cpp)
  list(REMOVE_ITEM CB2BIB_H c2bAnnote.h)
  list(REMOVE_ITEM CB2BIB_H c2bWebBrowser.h)
  list(REMOVE_ITEM CB2BIB_MOCH c2bAnnote.h)
  list(REMOVE_ITEM CB2BIB_MOCH c2bWebBrowser.h)
endif()

if(C2B_USE_CBPOLL)
  add_definitions(-DC2B_USE_CBPOLL)
else()
  list(REMOVE_ITEM CB2BIB_CPP clipboardPoll.cpp)
  list(REMOVE_ITEM CB2BIB_H clipboardPoll.h)
  list(REMOVE_ITEM CB2BIB_MOCH clipboardPoll.h)
endif()

qt4_wrap_cpp(CB2BIB_MOC ${CB2BIB_MOCH})

file(GLOB CB2BIB_UI RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.ui")
qt4_wrap_ui(CB2BIB_UIH ${CB2BIB_UI})
qt4_add_resources(CB2BIB_RCC cb2bib.qrc)

list_source_files_at(MODSINGAPP_CPP MODSINGAPP_H MODSINGAPP_MOCH qtsingleapplication/src/)
if(WIN32)
  list(REMOVE_ITEM MODSINGAPP_CPP qtsingleapplication/src/qtlockedfile_unix.cpp)
else()
  list(REMOVE_ITEM MODSINGAPP_CPP qtsingleapplication/src/qtlockedfile_win.cpp)
endif()
qt4_wrap_cpp(MODSINGAPP_MOC ${MODSINGAPP_MOCH})

include(${QT_USE_FILE})
include_directories(.)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(c2b)

if(WIN32)
#  add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/c2bicon.o COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} 
  add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/c2bicon.o COMMAND windres.exe
                     -i${CMAKE_CURRENT_SOURCE_DIR}/cb2bib.rc -o ${CMAKE_CURRENT_BINARY_DIR}/c2bicon.o )
  list(APPEND CB2BIB_CPP ${CMAKE_CURRENT_BINARY_DIR}/c2bicon.o)
endif(WIN32)

if(APPLE)
  add_executable(cb2bib MACOSX_BUNDLE ${CB2BIB_CPP} ${CB2BIB_MOC} ${CB2BIB_UIH} ${CB2BIB_RCC} ${MODSINGAPP_CPP} ${MODSINGAPP_MOC})
else()
  add_executable(cb2bib WIN32 ${CB2BIB_CPP} ${CB2BIB_MOC} ${CB2BIB_UIH} ${CB2BIB_RCC} ${MODSINGAPP_CPP} ${MODSINGAPP_MOC})
  set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
endif()
if(C2B_USE_LZO)
  target_link_libraries(cb2bib c2b ${LZO_LIBRARIES} ${QT_LIBRARIES})
else()
  target_link_libraries(cb2bib c2b ${QT_LIBRARIES})
endif()
if(APPLE)
   install(TARGETS cb2bib BUNDLE DESTINATION ${C2B_INSTALL_BIN_DIR})
else()
   install(TARGETS cb2bib RUNTIME DESTINATION ${C2B_INSTALL_BIN_DIR})
endif()

#-------------------------------------------------------------------------------

## cb2bib 1.3.6

=== debian/changelog ===
cb2bib (1.3.6-1) unstable; urgency=low

  * New upstream release;
  
  * debian/rules: change flag for disabling lzo lib usage to reflect an
    upstream change in the configure file.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 06 Jan 2010 21:32:10 +0100

cb2bib (1.3.5-1) unstable; urgency=low

  * New upstream release;

  * Switched to the 3.0 (quilt) source format;

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sat, 28 Nov 2009 12:05:02 +0100

cb2bib (1.3.3-2) unstable; urgency=low

  * Fix the temporary creation directory call (sent fix to Upstream).

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sat, 19 Sep 2009 09:42:53 +0200

cb2bib (1.3.3-1) unstable; urgency=low

  * New upstream release;
  * debian/rules: add the '--disable_lzo' flag to the configure script call to
    specify no use of the lzo lib;
  * Fix bib2pdf script (sent correction to Upstream).
  * Bunch of fixes (nroff formatting and contents in some places) of man
    pages.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Fri, 11 Sep 2009 22:39:48 +0200

cb2bib (1.3.2-1) unstable; urgency=low

  * New upstream release;
  * Small packaging modifications to accomodate the small changes in the
    source tree.
  * Fixed some glitches in the nroff formatting of the man page.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 09 Sep 2009 23:19:05 +0200

cb2bib (1.3.0-1) unstable; urgency=low

  * Initial release (Closes: #529399);

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Fri, 04 Sep 2009 06:02:19 +0200

=== debian/control ===
Source: cb2bib
Section: text
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <rusconi-debian@laposte.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), imagemagick
Standards-Version: 3.8.3
Homepage: http://www.molspaces.com/cb2bib/
Vcs-Git: git://git.debian.org/git/debian-science/packages/cb2bib.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/cb2bib.git

Package: cb2bib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libimage-exiftool-perl, konqueror, poppler-utils | xpdf-utils, bibutils, jsmath, texlive-latex-base, texlive-base-bin
Description: extract bibliographic references from various sources
 cb2bib is a program to extract bibliographic references from
 unformatted and non standard sources, like:
  - email alerts;
  - journal Web pages;
  - and most interestingly PDF files.
 .
 Output references are written to BibTeX-formatted files. Other
 features include:
  - article files can be linked and renamed by dragging them onto the
    cb2Bib window;
  - editing and browsing BibTeX files;
  - citing references, searching references and the full contents of the
    referenced documents;
  - inserting bibliographic metadata to documents;
  - writing short notes that interrelate several references.

=== debian/rules ===
#!/usr/bin/make -f
# Based on the initial work of Joey Hess and Craig Small.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


PACKAGE=cb2bib

BUILDDIR=$(CURDIR)/debian/build


ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         MAKEFLAGS += -j$(NUMJOBS)
endif

$(info "---------------------------------------")
$(info NUMJOBS: $(NUMJOBS))
$(info MAKEFLAGS: $(MAKEFLAGS))
$(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
$(info "---------------------------------------")


.PHONY: clean
clean: 
	dh_testdir
	dh_testroot

	dh_clean

	rm -rf $(BUILDDIR)
	rm -f debian/cb2bib.xpm


configure-stamp: 
	dh_testdir

	mkdir -p $(BUILDDIR)
	cp -rpf cb2bib.pro cb2bib.rc configure src $(BUILDDIR)
	cd $(BUILDDIR) && ./configure --qmakepath /usr/bin/qmake-qt4	\
	--prefix /usr --bindir /usr/bin --datadir /usr/share		\
	--desktopdatadir /usr/share/applications --icondir		\
	/usr/share/pixmaps --disable-lzo

	touch configure-stamp


build-arch-stamp: configure-stamp 
	dh_testdir
	dh_prep -a

	$(MAKE) -C $(BUILDDIR)
	convert src/icons/cb2bib.png -resize 32x32 debian/cb2bib.xpm

	touch build-arch-stamp


.PHONY: build-indep
build-indep:


.PHONY: build-arch
build-arch: build-arch-stamp


.PHONY: build
build: build-indep build-arch


# Build architecture-independent files here.
.PHONY: binary-indep
binary-indep: 


# Build architecture-dependent files here.
.PHONY: binary-arch
binary-arch: build-arch-stamp
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installmenu -a cb2bib.menu
	dh_installman -a
	dh_link -a usr/share/man/man1/cb2bib.1 usr/share/man/man1/c2bimport.1
	dh_link -a usr/share/man/man1/cb2bib.1 usr/share/man/man1/c2bciter.1
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


.PHONY: binary
binary: binary-indep binary-arch

## cb2bib 1.4.0

=== debian/changelog ===
cb2bib (1.4.0-1ubuntu2) maverick; urgency=low

  * Build-dep on libqtwebkit-dev for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 09:56:34 +0100

cb2bib (1.4.0-1ubuntu1) maverick; urgency=low

  * Add build-dep on libqt4-webkit-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 May 2010 21:08:53 +0200

cb2bib (1.4.0-1) unstable; urgency=low

  * New upstream release;

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sun, 25 Apr 2010 12:02:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: cb2bib
 Section: text
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <rusconi-debian@laposte.net>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), imagemagick
+Build-Depends: debhelper (>= 7), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), imagemagick, libqtwebkit-dev
 Standards-Version: 3.8.3
 Homepage: http://www.molspaces.com/cb2bib/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/cb2bib.git

## cb2bib 1.4.3

=== debian/changelog ===
cb2bib (1.4.3-3ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Add build-dep on libqtwebkit-dev.
    - debian/patches/ubuntu-gcc-4.5-fix-ftbfs.patch: Fix FTBFS by forcing
      CMake to explicitly link X11 as well. FTBFS occurs due to Ubuntu having
      GCC 4.5 .

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 05 Nov 2010 11:22:24 +0530

cb2bib (1.4.3-3) unstable; urgency=low

  * Fix 3 bashisms in one upstream code source files, as reported by
    Raphael Geissert <geissert@debian.org> along with a patch from Kai
    Wasserbäch <debian@carbon-project.org> (Closes: #547742). Upstream has
    been informed.
    
  * Set Standards-Version: 3.9.1.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 03 Nov 2010 20:38:11 +0100

cb2bib (1.4.3-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Add build-dep on libqtwebkit-dev.
    - debian/patches/ubuntu-gcc-4.5-fix-ftbfs.patch: Fix FTBFS by forcing
      CMake to explicitly link X11 as well. FTBFS occurs due to Ubuntu having
      GCC 4.5 .

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Sat, 16 Oct 2010 18:13:57 +0300

cb2bib (1.4.3-2) unstable; urgency=low

  * Implemented build system based on use of CMake as per upstream setup.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 12 Oct 2010 23:23:51 +0200

cb2bib (1.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 12 Oct 2010 20:48:16 +0200

## cb2bib 1.4.4

=== debian/changelog ===
cb2bib (1.4.4-3) unstable; urgency=low

  * Fix bug (Closes: #617750) revealing that qwebview.h is no more shipped
    in libqt4-dev but in libqtwebkit-dev. Thanks to Cyril Brulebois
    <kibi@debian.org> for reporting the FTBFS bug.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sat, 12 Mar 2011 14:31:22 +0100

cb2bib (1.4.4-2) unstable; urgency=low

  * Fix (Closes: #554060) the linker problem reported by Peter Fritzsche
    <peter.fritzsche@gmx.de> by adding -lX11 to the linker command line
    (binutils-gold does not complain anymore and link goes through
    fine);
  * 

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Thu, 10 Mar 2011 21:39:52 +0100

cb2bib (1.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Fri, 28 Jan 2011 08:36:35 +0100

## cb2bib 1.4.5

=== debian/changelog ===
cb2bib (1.4.5-0ubuntu1) natty; urgency=low

  * New upstream release
  * dropped patch ubuntu-gcc-4.5-fix-ftbfs.patch now upstream

 -- Tarun Kumar Mall <c2tarun@gmail.com>  Tue, 22 Mar 2011 18:15:47 +0000

cb2bib (1.4.4-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Add build-dep on libqtwebkit-dev.
    - debian/patches/ubuntu-gcc-4.5-fix-ftbfs.patch: Fix FTBFS by forcing
      CMake to explicitly link X11 as well. FTBFS occurs due to Ubuntu having
      GCC 4.5 .

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 31 Jan 2011 17:07:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <rusconi-debian@laposte.net>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), imagemagick, libqtwebkit-dev
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), cmake (>=2.6.0), imagemagick, libqtwebkit-dev
+Standards-Version: 3.9.1
 Homepage: http://www.molspaces.com/cb2bib/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/cb2bib.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/cb2bib.git

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+
+CMAKE=/usr/bin/cmake
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -40,11 +42,11 @@
 	dh_testdir
 
 	mkdir -p $(BUILDDIR)
-	cp -rpf cb2bib.pro cb2bib.rc configure src $(BUILDDIR)
-	cd $(BUILDDIR) && ./configure --qmakepath /usr/bin/qmake-qt4	\
-	--prefix /usr --bindir /usr/bin --datadir /usr/share		\
-	--desktopdatadir /usr/share/applications --icondir		\
-	/usr/share/pixmaps --disable-lzo
+
+	cd $(BUILDDIR)  && $(CMAKE) -DC2B_USE_LZO=0 \
+	-D CMAKE_INSTALL_PREFIX=/usr ../../
+
+	$(MAKE) -C $(BUILDDIR)
 
 	touch configure-stamp

## cb2bib 1.4.6

=== CMakeLists.txt ===
#-------------------------------------------------------------------------------
#  cb2bib cmake build script
#-------------------------------------------------------------------------------
include(cmake/modules/c2bUtilities.cmake)

#-------------------------------------------------------------------------------
#  cb2bib cmake options and defaults
#-------------------------------------------------------------------------------
project(cb2bib)
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  if(WIN32)
    set(CMAKE_INSTALL_PREFIX "C:\Program Files" CACHE PATH "Default install path prefix" FORCE)
  elseif(APPLE)
    set(CMAKE_INSTALL_PREFIX "/Applications" CACHE PATH "Default install path prefix" FORCE)
  else()
    set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "Default install path prefix" FORCE)
  endif()
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
if(CMAKE_BUILD_TYPE STREQUAL "")
  set(CMAKE_BUILD_TYPE Release)
endif()
if(CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_definitions(-DC2B_DEBUG)
endif()

option(C2B_USE_WEBKIT "Link cb2bib against QtWebKit library." ON)
option(C2B_USE_LZO "Link cb2bib against lzo2 library." ON)
if(UNIX AND NOT APPLE)
  option(C2B_USE_CBPOLL "Use clipboardPoll." ON)
  path_option(C2B_INSTALL_BIN_DIR "Executables installation directory [default: CMAKE_INSTALL_PREFIX/bin]." "${CMAKE_INSTALL_PREFIX}/bin")
  path_option(C2B_INSTALL_DATA_DIR "Data installation directory [default: CMAKE_INSTALL_PREFIX/share/cb2bib]." "${CMAKE_INSTALL_PREFIX}/share/cb2bib")
  path_option(C2B_INSTALL_DESKTOP_DIR "Desktop file installation directory [default: CMAKE_INSTALL_PREFIX/share/applications]." "${CMAKE_INSTALL_PREFIX}/share/applications")
  path_option(C2B_INSTALL_ICON_DIR "Icon file directory [default: CMAKE_INSTALL_PREFIX/share/pixmaps]." "${CMAKE_INSTALL_PREFIX}/share/pixmaps")
endif(UNIX AND NOT APPLE)
if(APPLE)
  set(C2B_USE_CBPOLL OFF)
  path_option(C2B_INSTALL_BIN_DIR "Executables installation directory [default: CMAKE_INSTALL_PREFIX/cb2bib.app/Contents/MacOS]." "${CMAKE_INSTALL_PREFIX}/cb2bib.app/Contents/MacOS")
  path_option(C2B_INSTALL_DATA_DIR "Data installation directory [default: CMAKE_INSTALL_PREFIX/cb2bib.app/Contents/Resources]." "${CMAKE_INSTALL_PREFIX}/cb2bib.app/Contents/Resources")
endif(APPLE)
if(WIN32)
  set(C2B_USE_CBPOLL OFF)
  path_option(C2B_INSTALL_BIN_DIR "Executables installation directory [default: CMAKE_INSTALL_PREFIX\cb2bib]." "${CMAKE_INSTALL_PREFIX}\cb2bib")
endif(WIN32)

if(C2B_USE_LZO)
  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules/")
  find_package(LZO REQUIRED)
  include_directories(${LZO_INCLUDE_DIR})
  add_definitions(-DC2B_USE_LZO)
endif(C2B_USE_LZO)
message("-- cb2bib uses QtWebKit library: ${C2B_USE_WEBKIT}")
message("-- cb2bib uses lzo2 library: ${C2B_USE_LZO}")
message("-- cb2bib executables installation directory: ${C2B_INSTALL_BIN_DIR}")
message("-- cb2bib data installation directory: ${C2B_INSTALL_DATA_DIR}")
if(UNIX AND NOT APPLE)
  message("-- cb2bib desktop file installation directory: ${C2B_INSTALL_DESKTOP_DIR}")
  message("-- cb2bib icon file installation directory: ${C2B_INSTALL_ICON_DIR}")
endif(UNIX AND NOT APPLE)
message("-- Build type: ${CMAKE_BUILD_TYPE}")

configure_file(${CMAKE_SOURCE_DIR}/src/c2b/cb2bib_conf_parameters.h.in ${CMAKE_CURRENT_BINARY_DIR}/cb2bib_conf_parameters.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

#-------------------------------------------------------------------------------
#  general settings
#-------------------------------------------------------------------------------
cmake_minimum_required(VERSION 2.6)
set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE ON)
set(CB2BIB_MINIMUM_REQUIRED_QT "4.4.0")

#-------------------------------------------------------------------------------
#  build tree structure
#-------------------------------------------------------------------------------
if(WIN32)
  subdirs(src/c2b src src/win)
else()
  subdirs(src/c2b src)
endif()

#-------------------------------------------------------------------------------
#  installs
#-------------------------------------------------------------------------------
if(UNIX AND NOT APPLE)
  install(PROGRAMS c2bscripts/c2bciter DESTINATION ${C2B_INSTALL_BIN_DIR})
  install(PROGRAMS c2bscripts/c2bimport DESTINATION ${C2B_INSTALL_BIN_DIR})
  install(FILES AUTHORS COPYRIGHT LICENSE CHANGELOG DESTINATION ${C2B_INSTALL_DATA_DIR})
  install(DIRECTORY data c2btools testPDFImport DESTINATION ${C2B_INSTALL_DATA_DIR})
  install(FILES c2bscripts/cb2bib.desktop c2bscripts/c2bciter.desktop c2bscripts/c2bimport.desktop DESTINATION ${C2B_INSTALL_DESKTOP_DIR})
  install(FILES src/icons/cb2bib.png DESTINATION ${C2B_INSTALL_ICON_DIR})
endif(UNIX AND NOT APPLE)
if(APPLE)
  install(PROGRAMS ./c2bscripts/c2bciter DESTINATION ${C2B_INSTALL_BIN_DIR})
  install(PROGRAMS ./c2bscripts/c2bimport DESTINATION ${C2B_INSTALL_BIN_DIR})
  install(FILES AUTHORS COPYRIGHT LICENSE CHANGELOG DESTINATION ${C2B_INSTALL_DATA_DIR})
  install(DIRECTORY data c2btools testPDFImport DESTINATION ${C2B_INSTALL_DATA_DIR})

  set(MACOSX_BUNDLE_BUNDLE_NAME cb2bib)
  set(MACOSX_BUNDLE_GUI_IDENTIFIER "com.MOLspaces.cb2Bib")
  set(MACOSX_BUNDLE_ICON_FILE src/icons/cb2bib.icns)
  set(MACOSX_BUNDLE_INFO_STRING "A tool for rapidly extracting unformatted bibliographic references")
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING "1.4")
  set(MACOSX_BUNDLE_LONG_VERSION_STRING "1.4.2")
  set(MACOSX_BUNDLE_BUNDLE_VERSION "1.4.2")
  set(MACOSX_BUNDLE_COPYRIGHT "(C) 2004-2011 Pere Constans")

###  ??
###  set_source_files_properties(${ProjectName_RESOURCES} ${ProjectName_TRANSLATIONS} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
##
### According to http://cmake.org/Wiki/CMake:Bundles_And_Frameworks, appl1_aux1 and appl1_aux2 would be c2bciter and c2bimport
###/Applications/
###             appl1.app/
###                      Contents/
###                              Info.plist
###                              MacOS/
###                                   appl1 -> appl1-1
###                                   appl1-1
###                                   appl1_aux1
###                                   appl1_aux2
###                              Resources/
###                                   appl1_res1
###                                   appl1_res2
##
##  # are they set as executable ? how if orig files were executable already ? are they seen as execs from the gui ?
##  set_source_files_properties(c2bscripts/c2bciter c2bscripts/c2bimport PROPERTIES MACOSX_PACKAGE_LOCATION MacOS)
##  # is this correct ? how about data c2btools testPDFImport directories ?
##  set_source_files_properties(AUTHORS COPYRIGHT LICENSE CHANGELOG PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
##  # need this to copy icon ?
##  set_source_files_properties(MACOSX_BUNDLE_ICON_FILE PROPERTIES MACOSX_PACKAGE_LOCATION Resources)

endif(APPLE)
if(WIN32)
endif(WIN32)

#-------------------------------------------------------------------------------

=== debian/changelog ===
cb2bib (1.4.6-1) unstable; urgency=low

  * New upstream release.
  
  * Removed debian/patches directory as there are no more patches.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 28 Aug 2011 19:01:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: cb2bib
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <rusconi-debian@laposte.net>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), cmake (>=2.6.0), imagemagick, libqtwebkit-dev
+Build-Depends: debhelper (>= 7), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), libqtwebkit-dev (>=2.1.0~2011week09), cmake (>=2.6.0), imagemagick
 Standards-Version: 3.9.1
 Homepage: http://www.molspaces.com/cb2bib/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/cb2bib.git

## cb2bib 1.4.7

=== debian/changelog ===
cb2bib (1.4.7-2) unstable; urgency=low

  * Add debian/upstream to document a reference to a paper describing this
    software.
  
  * debian/control: set Filippo Rusconi <lopippo@debian.org> as Uploaders.

  * Add fix-ftbfs-with-gcc-4.7 patch.
    Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes.
    Thanks to Cyril Brulebois <kibi@debian.org> for the patch. (Closes: #667129)
  * Bump Standards-Version to 3.9.3
  * Both fixes above in git repos thanks to Salvatore Bonaccorso
    <carnil@debian.org>

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 07 May 2012 13:36:06 +0200

cb2bib (1.4.7-1) unstable; urgency=low

  * New upstream release.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 24 Jan 2012 17:26:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: text
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Filippo Rusconi <rusconi-debian@laposte.net>
+Uploaders: Filippo Rusconi <lopippo@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), libqtwebkit-dev (>=2.1.0~2011week09), cmake (>=2.6.0), imagemagick
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://www.molspaces.com/cb2bib/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/cb2bib.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/cb2bib.git

## cb2bib 1.4.8

=== debian/changelog ===
cb2bib (1.4.8-2) unstable; urgency=low

  * Add dependency to dpkg-dev.
  
  * Add lintian override to silence the warning about misspelling errors.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 14 Sep 2012 12:46:22 +0200

cb2bib (1.4.8-1) unstable; urgency=low

  * New upstream release.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Jun 2012 22:11:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), libqtwebkit-dev (>=2.1.0~2011week09), cmake (>=2.6.0), imagemagick
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), libqtwebkit-dev (>=2.1.0~2011week09), cmake (>=2.6.0), imagemagick
 Standards-Version: 3.9.3
 Homepage: http://www.molspaces.com/cb2bib/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/cb2bib.git

## cb2bib 1.4.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -102,7 +102,7 @@
   set(MACOSX_BUNDLE_SHORT_VERSION_STRING "1.4")
   set(MACOSX_BUNDLE_LONG_VERSION_STRING "1.4.2")
   set(MACOSX_BUNDLE_BUNDLE_VERSION "1.4.2")
-  set(MACOSX_BUNDLE_COPYRIGHT "(C) 2004-2011 Pere Constans")
+  set(MACOSX_BUNDLE_COPYRIGHT "(C) 2004-2012 Pere Constans")
 
 ###  ??
 ###  set_source_files_properties(${ProjectName_RESOURCES} ${ProjectName_TRANSLATIONS} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -58,10 +58,18 @@
   add_executable(cb2bib WIN32 ${CB2BIB_CPP} ${CB2BIB_MOC} ${CB2BIB_UIH} ${CB2BIB_RCC} ${MODSINGAPP_CPP} ${MODSINGAPP_MOC})
   set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 endif()
-if(C2B_USE_LZO)
-  target_link_libraries(cb2bib c2b ${LZO_LIBRARIES} ${QT_LIBRARIES})
+if(UNIX AND NOT APPLE)
+  if(C2B_USE_LZO)
+    target_link_libraries(cb2bib c2b ${LZO_LIBRARIES} ${QT_LIBRARIES} -lX11)
+  else()
+    target_link_libraries(cb2bib c2b ${QT_LIBRARIES} -lX11)
+  endif()
 else()
-  target_link_libraries(cb2bib c2b ${QT_LIBRARIES})
+  if(C2B_USE_LZO)
+    target_link_libraries(cb2bib c2b ${LZO_LIBRARIES} ${QT_LIBRARIES})
+  else()
+    target_link_libraries(cb2bib c2b ${QT_LIBRARIES})
+  endif()
 endif()
 if(APPLE)
    install(TARGETS cb2bib BUNDLE DESTINATION ${C2B_INSTALL_BIN_DIR})

=== src/c2b/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#  cb2bib cmake build script
#  - build libc2b
#-------------------------------------------------------------------------------

find_package(Qt4 ${CB2BIB_MINIMUM_REQUIRED_QT} COMPONENTS QtCore QtNetwork REQUIRED)

list_source_files(LIBC2B_CPP LIBC2B_H LIBC2B_MOCH)
list(APPEND LIBC2B_CPP qtregexp/eqregexp.cpp)
qt4_wrap_cpp(LIBC2B_MOC ${LIBC2B_MOCH})
qt4_add_resources(LIBC2B_RCC c2blib.qrc)

include(${QT_USE_FILE})
include_directories(.)
add_library(c2b STATIC ${LIBC2B_CPP} ${LIBC2B_MOC} ${LIBC2B_RCC})

#-------------------------------------------------------------------------------

=== src/win/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#  cb2bib cmake build script
#  - build c2bconsole
#-------------------------------------------------------------------------------

if(MINGW)
  find_package(Qt4 ${CB2BIB_MINIMUM_REQUIRED_QT} COMPONENTS QtCore REQUIRED)
  include(${QT_USE_FILE})
  add_executable(c2bconsole WIN32 main.cpp)
  target_link_libraries(c2bconsole c2b ${QT_LIBRARIES} "-Wl,-subsystem,console")
  set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/../../../bin)
  install(TARGETS c2bconsole RUNTIME DESTINATION ${C2B_INSTALL_BIN_DIR})
endif(MINGW)

#-------------------------------------------------------------------------------

=== debian/changelog ===
cb2bib (1.4.9-4) unstable; urgency=medium

  * mv upstream upstream/metadata;

  * new debian/patches/fix-keywords-desktop-files.patch to fix missing
    keywords in desktop files.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 18 Aug 2014 10:47:26 +0200

cb2bib (1.4.9-3) unstable; urgency=medium

  * Bump up debhelper version required for building to >= 9 in Build-Depends;
  
  * Remove dpkg-dev (>= 1.16.1~) from Build-Depends;

  * Got the new recent-debhelper-based rules file from the personal git
    repos of Barak Pearlmutter (<barak@cs.nuim.ie>) and implemented his
    version in this package (Bug#633876) closed with the previous upload.
  
 -- Filippo Rusconi <lopippo@debian.org>  Thu, 14 Aug 2014 15:45:18 +0200

cb2bib (1.4.9-2) unstable; urgency=low

  * Canonicalize the Vcs-Git and Vcs-Browser urls.
    
  * c2bscripts/c2bimport.desktop: fix typo with a patch (thanks Charlie
    Smotherman <cjsmo@cableone.net>) (Closes: #694399).
  
  * Close an old bug requesting for a new version and suggesting a new
    structure for the debian:rules file at a git repos that is no more
    available (Closes: #633876).
  
  * debian/rules: remove the "DM-Upload-Allowed: yes" field.
  
  * debian/control: Update Standards-Version to 3.9.5.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 13 Aug 2014 14:59:54 +0200

cb2bib (1.4.9-1) unstable; urgency=low

  * New upstream release.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 06 Nov 2012 21:43:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), libqtwebkit-dev (>=2.1.0~2011week09), cmake (>=2.6.0), imagemagick
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), libqtwebkit-dev (>=2.1.0~2011week09), cmake (>=2.6.0), imagemagick
+Standards-Version: 3.9.5
 Homepage: http://www.molspaces.com/cb2bib/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/cb2bib.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/cb2bib.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/cb2bib.git
+Vcs-Browser: http://anonscm.debian.org/git/debian-science/packages/cb2bib.git
 
 Package: cb2bib
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

BUILDDIR=$(CURDIR)/debian/build

%:
	dh $@ --parallel

override_dh_auto_configure:
	mkdir -p $(BUILDDIR)
	cd $(BUILDDIR) && cmake \
		-D C2B_USE_LZO=0 \
		-D CMAKE_INSTALL_PREFIX=/usr \
		../../

debian/cb2bib.xpm: src/icons/cb2bib.png
	convert src/icons/cb2bib.png -resize 32x32 debian/cb2bib.xpm

override_dh_auto_build: debian/cb2bib.xpm
	$(MAKE) -C $(BUILDDIR)

override_dh_clean:
	dh_clean
	-rm -r $(BUILDDIR)

## cb2bib 1.9.2

=== src/c2b/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 find_package(Qt4 ${CB2BIB_MINIMUM_REQUIRED_QT} COMPONENTS QtCore QtNetwork REQUIRED)
 
 list_source_files(LIBC2B_CPP LIBC2B_H LIBC2B_MOCH)
-list(APPEND LIBC2B_CPP qtregexp/eqregexp.cpp)
 qt4_wrap_cpp(LIBC2B_MOC ${LIBC2B_MOCH})
 qt4_add_resources(LIBC2B_RCC c2blib.qrc)

=== debian/changelog ===
cb2bib (1.9.2-1) unstable; urgency=medium

  * New upstream version (port to QT5; uses qmake and not cmake as of this
    version);
  * debian/control: Standards-Version: 3.9.6 (no changes needed). Add
    qt5-default to Build-Depends so that qmake is found.
    
  * debian/control: Change all build depends to new QT5-related package
    names and add support for lzo;

  * debian/rules: call qmake instead of cmake and fix call to rm in rule
    override_dh_clean;

  * debian/patches: add patch to security-harden the binary.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 17 Aug 2015 10:20:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,17 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>= 9), libx11-dev, x11proto-core-dev, libqt4-dev (>=4.4), libqtwebkit-dev (>=2.1.0~2011week09), cmake (>=2.6.0), imagemagick
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+               libx11-dev,
+                x11proto-core-dev,
+                qtchooser,
+                qtbase5-dev,
+                libqt5webkit5-dev,
+                libqt5x11extras5-dev,
+                qt5-qmake,
+                imagemagick,
+                liblzo2-dev
+Standards-Version: 3.9.6
 Homepage: http://www.molspaces.com/cb2bib/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/cb2bib.git
 Vcs-Browser: http://anonscm.debian.org/git/debian-science/packages/cb2bib.git
@@ -12,7 +21,13 @@
 Package: cb2bib
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libimage-exiftool-perl, konqueror, poppler-utils | xpdf-utils, bibutils, jsmath, texlive-latex-base, texlive-base-bin
+Suggests: libimage-exiftool-perl,
+          konqueror,
+          poppler-utils,
+          bibutils,
+          jsmath,
+          texlive-latex-base,
+          texlive-binaries
 Description: extract bibliographic references from various sources
  cb2bib is a program to extract bibliographic references from
  unformatted and non standard sources, like:

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

BUILDDIR=$(CURDIR)/debian/build

%:
	dh $@ --parallel

override_dh_auto_configure:
	mkdir -p $(BUILDDIR) && \
	cp -rpf c2bscripts  c2btools  cb2bib.pro  cb2bib.rc data src testPDFImport xpdf $(BUILDDIR) && \
	cd $(BUILDDIR) && \
	qtchooser -run-tool=qmake -qt=5 ../../

debian/cb2bib.xpm: src/icons/cb2bib.png
	convert src/icons/cb2bib.png -resize 32x32 debian/cb2bib.xpm

override_dh_auto_build: debian/cb2bib.xpm
	$(MAKE) -C $(BUILDDIR)

override_dh_clean:
	dh_clean
	-rm -rf $(BUILDDIR)

## cb2bib 1.9.7

=== debian/changelog ===
cb2bib (1.9.7-2) unstable; urgency=low

  * Fix broken symbolic man page link. Although the bug report suggested an
    erroneous fix, I want to thanks Andreas Beckmann
    <anbe@debian.org> for reporting the bug (Closes: #887568).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 25 Jan 2018 17:38:13 +0100

cb2bib (1.9.7-1) unstable; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Dec 2017 11:36:28 +0100

cb2bib (1.9.6-1) UNRELEASED; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 24 Jan 2017 22:16:31 +0100

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                 libqt5x11extras5-dev,
                 qt5-qmake,
                 imagemagick,
-                liblzo2-dev
-Standards-Version: 3.9.6
+                liblzo2-dev,
+								libjs-mathjax
+Standards-Version: 4.1.3
 Homepage: http://www.molspaces.com/cb2bib/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/cb2bib.git
-Vcs-Browser: http://anonscm.debian.org/git/debian-science/packages/cb2bib.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cb2bib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cb2bib.git
 
 Package: cb2bib
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DH_VERBOSE=1
 
 BUILDDIR=$(CURDIR)/debian/build

## cb2bib 1.9.9

=== debian/changelog ===
cb2bib (1.9.9-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:09 +0100

cb2bib (1.9.9-1) unstable; urgency=low

  * New upstream release. Should fix bug (Closes: #906969); thanks to Santiago
    Vila <sanvila@debian.org> for reporting it.

  * (From 1.9.7-3) Allow for cross-compilation (thanks to Helmut Grohne
    <helmut@subdivi.de> (Closes: #901535).

  * Update the Vcs-Browser and Vcs-Git fields to point to the salsa.d.o
    science team location.

  * Standards-Version: 4.2.1, no changes required.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 13 Sep 2018 16:14:02 +0200

cb2bib (1.9.7-3) unstable; urgency=low

  * Allow for cross-compilation (thanks to Helmut Grohne <helmut@subdivi.de>
    (Closes: #901535).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 14 Jun 2018 17:56:27 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                 imagemagick,
                 liblzo2-dev,
 								libjs-mathjax
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://www.molspaces.com/cb2bib/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cb2bib.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cb2bib.git
+Vcs-Browser: https://salsa.debian.org/science-team/cb2bib.git
+Vcs-Git: https://salsa.debian.org/science-team/cb2bib.git
 
 Package: cb2bib
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_VERBOSE=1
export QT_SELECT=qt5

BUILDDIR=$(CURDIR)/debian/build

%:
	dh $@ --parallel --buildsystem=qmake --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	mkdir -p $(BUILDDIR) && \
		cp -rpf c2bscripts  c2btools  cb2bib.pro  cb2bib.rc data src testPDFImport xpdf $(BUILDDIR) && \
		dh_auto_configure

debian/cb2bib.xpm: src/icons/cb2bib.png
	convert src/icons/cb2bib.png -resize 32x32 debian/cb2bib.xpm

override_dh_auto_build: debian/cb2bib.xpm
	dh_auto_build

=== debian/watch ===
version=3

opts=downloadurlmangle=s/d_cb2bib-download.php/\./ \
http://www.molspaces.com/d_cb2bib-download.php/ \
dl/progs/cb2bib-([\d\.]*)\.tar\.gz

## cb2bib 2.0.0

=== debian/changelog ===
cb2bib (2.0.0-2) unstable; urgency=low

  * d/rules: workaround fix for the failed built Bug#966814: cb2bib: frequent
    parallel FTBFS (thanks to Adrian Bunk <bunk@debian.org> for the fix;
    Closes:#966814). The problem was sent upstream. In the mean time this fix
    should do.

  * d/control: debhelper-compat (= 13) (removed d/compat file).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 05 Aug 2020 05:30:30 +0200

cb2bib (2.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 May 2020 14:13:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                libx11-dev,
-                x11proto-core-dev,
-                qtchooser,
-                qtbase5-dev,
-                libqt5webkit5-dev,
-                libqt5x11extras5-dev,
-                qt5-qmake,
-                imagemagick,
-                liblzo2-dev,
-								libjs-mathjax
-Standards-Version: 4.2.1
+							 bibutils,
+               x11proto-core-dev,
+               qtchooser,
+               qtbase5-dev,
+               libqt5webkit5-dev,
+               libqt5x11extras5-dev,
+               qt5-qmake,
+               imagemagick,
+               liblzo2-dev,
+							 libjs-mathjax
+Standards-Version: 4.5.0
 Homepage: http://www.molspaces.com/cb2bib/
-Vcs-Browser: https://salsa.debian.org/science-team/cb2bib.git
+Vcs-Browser: https://salsa.debian.org/science-team/cb2bib
 Vcs-Git: https://salsa.debian.org/science-team/cb2bib.git
 
 Package: cb2bib

## cb2bib 2.0.1

=== debian/changelog ===
cb2bib (2.0.1-1) unstable; urgency=low

  * New upstream version.

  * Add liblz4-dev build-dep.

  * Standards-Version: 4.5.1. No changes required.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 20 Feb 2021 16:45:04 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                libqt5x11extras5-dev,
                qt5-qmake,
                imagemagick,
-               liblzo2-dev,
+               liblz4-dev,
 							 libjs-mathjax
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://www.molspaces.com/cb2bib/
 Vcs-Browser: https://salsa.debian.org/science-team/cb2bib
 Vcs-Git: https://salsa.debian.org/science-team/cb2bib.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 BUILDDIR=$(CURDIR)/debian/build
 
 %:
-	dh $@ --parallel --buildsystem=qmake --builddirectory=$(BUILDDIR)
+	dh $@ --no-parallel --buildsystem=qmake --builddirectory=$(BUILDDIR)
 
 override_dh_auto_configure:
 	mkdir -p $(BUILDDIR) && \

=== debian/watch ===
version=4

opts=downloadurlmangle=s/d_cb2bib-download.php/\./ \
https://www.molspaces.com/d_cb2bib-download.php/ \
dl/progs/cb2bib-([\d\.]*)\.tar\.gz

## cb2bib 2.0.2

=== debian/changelog ===
cb2bib (2.0.2-1) unstable; urgency=low

  * New upstream version.
  * Update debian/copyright to latest format. Completed accordingly.
  * Remove unnecessary Build-Depends item.
  * Standards-Version: 4.7.2. No changes required.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 28 Oct 2025 17:22:36 +0100

cb2bib (2.0.1-3) unstable; urgency=medium

  * Team upload
  * Build with QtWebEngine instead of QtWebKit

 -- Bastian Germann <bage@debian.org>  Sun, 19 Jan 2025 19:08:26 +0100

cb2bib (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * DEP5 copyright
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Fri, 28 Jan 2022 13:56:07 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                x11proto-core-dev,
                qtchooser,
                qtbase5-dev,
-               libqt5webkit5-dev,
                libqt5x11extras5-dev,
+               qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
                qt5-qmake,
-               imagemagick,
                liblz4-dev,
 							 libjs-mathjax
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: http://www.molspaces.com/cb2bib/
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/cb2bib
 Vcs-Git: https://salsa.debian.org/science-team/cb2bib.git

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,3 @@
 	mkdir -p $(BUILDDIR) && \
 		cp -rpf c2bscripts  c2btools  cb2bib.pro  cb2bib.rc data src testPDFImport xpdf $(BUILDDIR) && \
 		dh_auto_configure
-
-debian/cb2bib.xpm: src/icons/cb2bib.png
-	convert src/icons/cb2bib.png -resize 32x32 debian/cb2bib.xpm
-
-override_dh_auto_build: debian/cb2bib.xpm
-	dh_auto_build
-

=== debian/watch ===
version=4

opts=downloadurlmangle=s/d_cb2bib-download.php/\./ \
https://www.molspaces.com/cb2bib/ .*/progs/cb2bib-([\d\.]*)\.tar\.gz
